<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_context.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_context.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Implementation of Context object. </p>

<p><a href="vx__context_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__sort__context.html">tivx_graph_sort_context</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Context used while sorting a graph.  <a href="structtivx__graph__sort__context.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html">tivx_context_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The top level context data for the entire OpenVX instance.  <a href="structtivx__context__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#ga8b616d3db87de29c3193b7849096b239">TIVX_CONTEXT_MAX_REFERENCES</a>&nbsp;&nbsp;&nbsp;(512u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible references in a context.  <a href="group__group__vx__context__cfg.html#ga8b616d3db87de29c3193b7849096b239"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#gacd1ea761dc0074a1db3b8a6df60cbab4">TIVX_CONTEXT_MAX_KERNELS</a>&nbsp;&nbsp;&nbsp;(128u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible unique kernels in a context.  <a href="group__group__vx__context__cfg.html#gacd1ea761dc0074a1db3b8a6df60cbab4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#gad60b64f2628a9a829d0b91ff39bbb35c">TIVX_CONTEXT_MAX_USER_STRUCTS</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible user structs in a context.  <a href="group__group__vx__context__cfg.html#gad60b64f2628a9a829d0b91ff39bbb35c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#ga11d4362b71d976c4afd524640e106589">TIVX_CONTEXT_MAX_CONVOLUTION_DIM</a>&nbsp;&nbsp;&nbsp;(15)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The largest convolution matrix the specification requires support for is 15x15.  <a href="group__group__vx__context__cfg.html#ga11d4362b71d976c4afd524640e106589"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#ga4b9667fb9e749205b073c781711c6138">TIVX_CONTEXT_MAX_OPTICALFLOWPYRLK_DIM</a>&nbsp;&nbsp;&nbsp;(9)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The largest optical flow pyr LK window.  <a href="group__group__vx__context__cfg.html#ga4b9667fb9e749205b073c781711c6138"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#gabb812deddf0a24bc11d4ed50da04c587">TIVX_CONTEXT_MAX_NONLINEAR_DIM</a>&nbsp;&nbsp;&nbsp;(9)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The largest nonlinear filter matrix the specification requires support for is 9x9.  <a href="group__group__vx__context__cfg.html#gabb812deddf0a24bc11d4ed50da04c587"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gae4eed3b6e9eda1a840b91b0fa7c786fd">ownIsValidContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if 'context' is valid.  <a href="group__group__vx__context.html#gae4eed3b6e9eda1a840b91b0fa7c786fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gad3df22b80d553454ff8bb9c080b0a72e">ownAddReferenceToContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add reference to a context.  <a href="group__group__vx__context.html#gad3df22b80d553454ff8bb9c080b0a72e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga2b1b76e26e82acc1708101330a6ae760">ownRemoveReferenceFromContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove reference from a context.  <a href="group__group__vx__context.html#ga2b1b76e26e82acc1708101330a6ae760"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga4e833da4ad40df0660e78fa6012a28cf">ownAddKernelToContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> kernel)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add's unique kernel to context.  <a href="group__group__vx__context.html#ga4e833da4ad40df0660e78fa6012a28cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga71c2cfc5a380259f348117aad598d23b">ownRemoveKernelFromContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> kernel)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove unique kernel from context.  <a href="group__group__vx__context.html#ga71c2cfc5a380259f348117aad598d23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gaf2872762bd0e2573a87245ea34636481">ownIsKernelInContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> enumeration, const <a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a> string[VX_MAX_KERNEL_NAME], <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> *is_found)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if kernel exists inside the context.  <a href="group__group__vx__context.html#gaf2872762bd0e2573a87245ea34636481"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga8bfe7f7fb3ebea938ed7f9d675baaa15">ownContextSendCmd</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, uint32_t target_id, uint32_t cmd, uint32_t num_obj_desc, const uint16_t *obj_desc_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Send a command to specified target with object descriptor ID's as parameters.  <a href="group__group__vx__context.html#ga8bfe7f7fb3ebea938ed7f9d675baaa15"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gac71a0ee04223ee7402c5fe4cf11772f2">ownContextGetKernelRemoveLock</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get value of kernel remove lock flag.  <a href="group__group__vx__context.html#gac71a0ee04223ee7402c5fe4cf11772f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga41b58a1e73a67133d6700ae8d210b382">ownContextSetKernelRemoveLock</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> do_lock)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value of kernel remove lock flag.  <a href="group__group__vx__context.html#ga41b58a1e73a67133d6700ae8d210b382"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gaab38acaafb57ded5c2526415bfddc844">ownContextLock</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock context.  <a href="group__group__vx__context.html#gaab38acaafb57ded5c2526415bfddc844"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga895aa24bb4b0cde01c395d5a8df27556">ownContextUnlock</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock context.  <a href="group__group__vx__context.html#ga895aa24bb4b0cde01c395d5a8df27556"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
